# { "type" : "env"}
weaver.mybatis-plus.monitor-sql.sqlCount.limit.log=false


#{"type":"env","value":"true"}
weaver.mybatis-plus.data.clear.status=true
# { "type" : "env","value":"14"}
weaver.mybatis-plus.data.clear.days=14
#{"type":"env","value":"true"}
weaver.mybatis-plus.table.drop.status=true
# { "type" : "env","value":"7"}
weaver.mybatis-plus.table.drop.days=7
# { "type" : "fixed"}
weaver.mybatis-plus.data.clear.whiteTables=sharding_datasource,sharding_table_name,vip_db_detail,vip_db_detail_ds1,sharding_all_key,sharding_history_spare,esch_lock,t_cus_app_select,inc_config,my_entity_info,my_entity_msg,my_wait_process,my_wait_process_job,watch_tree,my_watch,watch,tag,tag_link,auth_permission_set_rel,auth_menu_formal,auth_permission_set_formal,auth_permission_set_rel_formal,auth_permission_formal,auth_permission_set_template_formal,auth_app_detach_detail,auth_app_detach_cache,auth_app_detach,auth_menu,auth_permission,auth_permission_set,auth_role_permission_set,auth_role,auth_user_org,auth_user_role,mc_commonlogs,mc_commonlogs_detail,mc_config,mc_default_role,mc_event_config,mc_im_config,mc_im_corp,mc_im_group,mc_im_user,mc_im_watch_config,mc_message,mc_message_apply_reciver_log,mc_message_channel,mc_message_invoke_log,mc_message_reciver_log,mc_message_reciver_tmp,mc_module,mc_module_config,mc_module_role,mc_msg_id_ref,mc_remind,mc_role,mc_role_module,mc_rule,mc_rule_channel,mc_rule_data,mc_rule_role,mc_rule_data,mc_rule_source,mc_sts_date,mc_subscribe_info,mc_tpl,scene_pagelogs,scene_pagelogs_detail,ebdd_eb_componentlogs,ebdd_eb_componentlogs_detail,order_type_esbflow_association,order_flow_association,work_order_subscribe_list,wfr_nodes_flowtime,wfr_node_flowtime,wfr_operate_flowtime,wfr_request_flowtime,wfr_rpt_node_summary,wfr_rpt_flow_summary,wfr_flowtime_reporttask_log,share_entry,ds_logic_field_ebuilder_app,ds_logic_table_ebuilder_app,ebda_app_folderlogs,ebda_app_folderlogs_detail,ebda_tenant_info,ebda_app_statistics,ebda_applogs,ebda_applogs_detail,ebda_app_menu_flow_create,ebda_app_menu_mapping,ebda_tenant_info,ebda_tenant_module_right,ebda_tenantlogs,ebda_tenantlogs_detail,ebuilder_app_multilangset,ebdcomm_image_folder,ebdcomm_image_resource,ebdd_action,ebdd_comp_stylelogs,ebdd_comp_stylelogs_detail,ebdd_component,ebdd_component_category,ebdd_function,ebdd_function_category,ebdp_pagelogs,ebdp_pagelogs_detail,ebdp_secondauthlogs,ebdp_secondauthlogs_detail,ebuilder_page_multilangset,ebdd_layout_component_setting,ebdd_module_group,ebuilder_designer_multilangset,ebdd_page_layoutlogs,ebdd_page_layoutlogs_detail,ebdd_style_category,ecod_cloud_storage,USER_INFO_TEMP,t_cus_app,formdata_detail,formdata_text,formdata_option,form_table_data_redundancy,form_field_auth,form_field_auth_group,form_field_auth_user

#mybaits\u62E6\u622A\u5668\u914D\u7F6E
# { "type" : "fixed"}
weaver.mybatis-plus.self.interceptors=com.weaver.ebuilder.datasource.api.configration.MybatisInterceptor,com.weaver.common.mybatis.permission.interceptor.PermissionSqlInterceptor,com.weaver.basecommon.others.mybatis.CommonMyBatisInterceptor,com.weaver.datasecurity.interceptor.DSDecryptInterceptor,com.weaver.datasecurity.interceptor.DSEncryptInterceptor,com.weaver.intcenter.ldap.config.LdapMybatisInterceptor,com.weaver.intcenter.hr.config.HrMybatisInterceptor,com.weaver.esb.setting.common.interceptor.EsbMybatisInterceptor,com.weaver.version.upgrade.config.UpgradeMybatisInterceptor,com.weaver.meeting.handler.SqlReplaceInterceptor,com.weaver.intunifytodo.server.base.sharding.IntunifytodoShardingInterceptor,com.weaver.workflow.pathdef.handler.intercepter.WfpInsertMybatisInterceptor,com.weaver.common.mybatis.convert.WeaOptimizationSqlInterceptor,com.weaver.publishkit.interceptor.SyncTableSqlInterceptor


#\u6539\u6210true\uFF0C\u5168\u91CF\u6253\u5370sql\u4FE1\u606F
# { "type" : "env"}
weaver.mybatis-plus.monitor-sql.error=false

#\u6539\u6210true\uFF0C\u7CBE\u7B80\u6027\u80FD\u65E5\u5FD7
# { "type" : "env","value":"false","isIgnoreCloud":true}
weaver.monitor.trace.mode.simple=false

#Oracle\u3001dm\u3001st\u6570\u636E\u5E93\u7C7B\u578B, \u652F\u6301resultType\u4E3AMap\u65F6, Clob\u5B57\u6BB5\u8FD4\u56DE\u65F6,\u81EA\u52A8\u8F6C\u6362String
# { "type" : "fixed"}
mapwrapper.clob2str=true

#\u6307\u5B9A\u672A\u5206\u5E93\u4E0B\u6570\u636E\u6E90\u540D\u79F0
#{"type":"env","value":null}
spring.datasource.druid.name=weaverDruidDataSource

#\u6307\u5B9A\u5206\u5E93\u4E0B\u7684\u6570\u636E\u6E90\u540D\u79F0
# {"type":"env","value":""}
#weaver.datasource.ds0.name=shardingDataSource0
#\u6307\u5B9A\u5206\u5E93\u4E0B\u7684\u6570\u636E\u6E90\u540D\u79F0
#{"type":"env","value":""}
#weaver.datasource.ds1.name=shardingDataSource1

#\u603B\u5F00\u5173\uFF0C\u9ED8\u8BA4\u8BB0\u5F55\u6CC4\u9732\u7684sql
#{"type":"fixed","value":false}
spring.datasource.druid.removeAbandoned=false
#\u8BB0\u5F55\u6CC4\u9732\u5806\u6808\uFF0Cfalse\u4E0D\u8BB0\u5F55\u5806\u6808
# { "type" : "env","value":"true"}
spring.datasource.druid.removeAbandonedTrace=false
#\u6267\u884Csql\u7ED3\u675F\u4E4B\u540E\uFF0C\u8D85\u8FC7180s\u672A\u5173\u95ED \u8BA4\u4E3A\u8FDE\u63A5\u6CC4\u9732\uFF0C\u8FDE\u63A5\u4F1A\u88AB\u5F3A\u5236\u79FB\u9664
# { "type" : "env"}
spring.datasource.druid.removeAbandonedTimeout=180
#\u65E5\u5FD7\u8BB0\u5F55
# { "type" : "env"}
spring.datasource.druid.logAbandoned=true
#\u662F\u5426\u5F00\u542F\u79DF\u6237\u6761\u4EF6\u76D1\u63A7
# { "type" : "fixed"}
weaver.mybatis-plus.enable_tenantmonitor=false
# { "type" : "fixed"}
weaver.mybatis-plus.eteams.database=basic_app_manage_ph_share,basic_app_topic_ph_apptopic,basic_fea_topic_ph_featopic,channel_ph_channel_share,hrm_ph_privacy_share,ipconfig_list_ph_ipconfig_share,navigation_menu_ph_navi_share,quick_search_basic_ph_q_s,quick_search_ph_quick_share,skin_display_setting_ph_btopic,hrm_ph_privacy_cr_open,hrm_ph_privacy_cr_obj,hrm_ph_privacy_cr_exclude,safety_login_setting_ph_sls_sh,compvirtual_ph_cpvt_share,compVirtual_ph_cpvt_share,hrm_ph_card_tab_share,auth_ph_app_detach_share,hrm_ph_normal2external_share,hrm_ph_external2normal_share,auth_ph_share_setting_list,sgnavi_menu_ph_sgshare,basic_login_ph_loginwhite,basic_realname_log_ph_brla,basic_grey_setting_ph_grey,hrm_ph_card_penetrate_share,auth_ph_role_maintainer

#\u7269\u7406\u5220\u9664-druid\u62E6\u622A\u5668\u5F00\u5173
#{"type":"env","value":null}
spring.datasource.druid.filters=interceptor
#\u7269\u7406\u5220\u9664-\u5F00\u542F\u72B6\u6001
# { "type" : "env"}
spring.datasource.druid.connect-properties.druid.filter.interceptor.enabled=true
#\u7269\u7406\u5220\u9664-\u662F\u5426\u8BB0\u5F55\u65E5\u5FD7
# { "type" : "env"}
spring.datasource.druid.connect-properties.druid.filter.interceptor.isLogInterceptor=true
#\u7269\u7406\u5220\u9664-\u662F\u5426\u62E6\u622A\u629B\u51FA\u5F02\u5E38
# { "type" : "env"}
spring.datasource.druid.connect-properties.druid.filter.interceptor.isThrowException=false
#\u7269\u7406\u5220\u9664-\u767D\u540D\u5355
# { "type" : "env"}
spring.datasource.druid.connect-properties.druid.filter.interceptor.writeTables=tissot_log_index,_dsync_data,emp_memory,auth_user_org,auth_menu_formal,auth_permission_set_formal,auth_permission_set_rel_formal,auth_permission_formal,auth_permission_set_template_formal,auth_menu,auth_permission,auth_permission_set,auth_permission_set_rel,auth_role_permission_set,emp_posn_link,emp_dep_link,emp_link,depart_link,channel_user_link,auth_user_role,auth_role,user_relation,hrm_field,avatar,organization_group_user_link,formdata_detail,formdata_text,formdata_option,form_table_data_redundancy,form_table,form_table_field,form_field_auth,form_field_auth_group,form_field_auth_user
#data-model???????
# { "type" : "fixed"}
weaver.mybatis.check.path.pathCheckMap.DynamicTableInterceptor=com.weaver.dw.datamodel.dao

# { "type" : "fixed","value":"true"}
weaver.mybatis-plus.multinone.big.limit.sql.flag=true
# { "type" : "fixed","value":"100000"}
weaver.mybatis-plus.external.big.limit.sql.size=100000
# {"type":"env","value":"com.weaver.i18n.labelmanage.dao.LabelManageDao.searchModlabel"}
weaver.mybatis-plus.multinone.big.limit.sql.whiteList=com.weaver.i18n.labelmanage.dao.LabelManageDao.searchModlabel,com.weaver.i18n.labelmanage.dao.LabelManageDao.search,com.weaver.common.i18n.label.dao.LabelDao.selectByTenantkey_mod

# { "type" : "fixed"}
weaver.mybatis.check.path.pathCheckMap.ApiInterceptor=com.weaver.teams.api.ApiDao,com.weaver.teams.dataset

# { "type" : "fixed"}
weaver.mybatis.check.path.pathCheckMap.PaginationStatementHandlerInterceptor=com.weaver.teams.api.ApiDao,com.weaver.teams.dataset

# { "type" : "fixed"}
weaver.mybatis.check.path.pathCheckMap.CrmDataPermissionSqlInterceptor=com.weaver.teams.crm,com.weaver.teams.components.tag,com.weaver.teams.comp.comment

# { "type" : "fixed"}
weaver.mybatis.check.path.pathCheckMap.MyBatisSqlParamsInterceptor=com.weaver.teams.crm.marketactivity.dao.MarketactivityDao.getAllMarketactivitys,com.weaver.teams.crm.customer.search.CustomerSearchDao.getNameListCustomers,com.weaver.teams.common.hrm.lefttree.CrmHrmLeftTreeDao.getUnderlingAndFilterByIdentity,com.weaver.teams.common.hrm.lefttree.CrmHrmLeftTreeDao.getEmpByDeptIdAndFilterByIdentity,com.weaver.teams.common.hrm.lefttree.CrmHrmLeftTreeDao.queryMyFollowAndFilterByIdentity,com.weaver.teams.crmquartz.dao.customer.CustomerDao.findAllCustomersForOpenSeaJob,com.weaver.teams.crmquartz.dao.customer.CustomerDao.findAllCustomerByOtherStatus,com.weaver.teams.crm.clue.ClueDao.findClues,com.weaver.teams.crm.orderform.statistics.OrderformStatisticsDao.getProductDetails,com.weaver.teams.crm.crmsummary.CrmSummaryDao.getContactCustomerPieData,com.weaver.teams.crm.crmsummary.CrmSummaryDao.getContactCustomerTopBarData,com.weaver.teams.crm.crmsummary.CrmSummaryDao.getContactCustomerTopBarDelayData,com.weaver.teams.crm.crmsummary.CrmSummaryDao.getContactCustomerBottomBarData,com.weaver.teams.crm.contact.ContactDao.findContactsCount,com.weaver.teams.crm.contact.ContactDao.findContacts,com.weaver.teams.crm.orderform.OrderformDao.getOrderformsCount,com.weaver.teams.crm.orderform.OrderformDao.findOrderforms,com.weaver.teams.crm.customer.search.CustomerSearchDao.getCustomersCount,com.weaver.teams.crm.customer.search.CustomerSearchDao.getCustomers,com.weaver.teams.crm.contractapproved.ContractVersionDao.getContractList,com.weaver.teams.crm.production.ProductionDao.getAllProductions,com.weaver.teams.crm.salechance.SaleChanceDao.findSaleChances,com.weaver.teams.crm.salechance.SaleChanceDao.findSaleChancesCount,com.weaver.teams.crm.production.ProductionDao.getProductionsCount,com.weaver.teams.crm.extend.batch.BatchDao.processParam,com.weaver.teams.crm.capital.CapitalDao.findCapitals,com.weaver.teams.crm.capital.CapitalDao.pageQueryAccountDetails,com.weaver.teams.crm.price.PriceDao.findPrices,com.weaver.teams.crm.contract.ContractDao.getAllContracts,com.weaver.teams.crm.contract.ContractDao.getContractsCount,com.weaver.teams.crm.contract.ContractDao.getAllReceiveContracts,com.weaver.teams.crm.contract.ContractDao.getContractReceiveCount,com.weaver.teams.crm.contract.ContractDao.getAllPayContracts,com.weaver.teams.crm.contract.ContractDao.getContractPayCount,com.weaver.teams.crm.contract.ContractDao.getAllInvoiceContracts,com.weaver.teams.crm.contract.ContractDao.getContractInvoiceCount,com.weaver.teams.crm.contract.ContractDao.getAllStageContracts,com.weaver.teams.crm.contract.ContractDao.getAllStageContractsCount,com.weaver.teams.crm.competitor.CompetitorDao.getManagingCompetitorsCount,com.weaver.teams.crm.competitor.CompetitorDao.getAllCompetitors

# { "type" : "fixed"}
weaver.mybatis.check.path.pathCheckMap.IntunifytodoShardingInterceptor=com.weaver.intunifytodo.server.base.dao
#\u6570\u636E\u6E05\u9664\u6BCF\u6B21\u53D6\u51FA\u6761\u6570
# { "type" : "env","value":"100"}
weaver.mybatis-plus.data.clear.limit=100
#\u6570\u636E\u6E05\u9664\u6B21\u6570
# { "type" : "env","value":"10000"}
weaver.mybatis-plus.data.clear.count=10000

# { "type" : "env","value":"false"}
weaver.mybatis-plus.sql-debug.flag=false
# { "type" : "env","value":"false"}
weaver.mybatis-plus.sql-debug-query.flag=false
# { "type" : "env","value":"false"}
weaver.mybatis-plus.sql-debug-employee.flag=false
# { "type" : "env","value":""}
weaver.mybatis-plus.sql-debug-employee.id=

# { "type" : "env","value":"false"}
weaver.mybatis-plus.in-or.enable=true

# { "type" : "env","value":"false"}
spring.mvc.web.special.cache=false




